#!/bin/csh


if (  $#argv != 3) then

 echo 'Syntax: mk3.sh <#init level> <# levels> <output_file>'
 exit
endif

 make

 @ init_lev = $argv[1]

 @ max_lev = $argv[2]

 set output_file = $argv[3]
 rm -f $output_file
 

@ i = 1
@ num = $init_lev 

while($i <= $max_lev) 

cat << EOF > data.dat
 $num
EOF
     
./NC2  data.dat > out2

tail -n 1 out2 >> $output_file

@ i++
@ num *= 2

end

echo "Computation has been finished"
echo "Output is in file '"$output_file"'"



cat << EOF > tisk.gnu
set terminal postscript eps color
set colorsequence classic
set output "figs1.eps"
p '$output_file' u 1:3 w lp,'$output_file' u 1:4 w lp,'$output_file' u 1:5 w lp
set logscale
set format "%2.0e"
set output "figs2.eps"
p '$output_file' u 1:6 w lp,'$output_file' u 1:7 w lp,'$output_file' u 1:8 w lp
EOF

gnuplot tisk.gnu
echo "Figure files 'figs1.eps' and 'figs2.eps' created"
ls -l figs1.eps figs2.eps
